#
# spec file for package python-thrift
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-thrift
Version:        0.10.0
Release:        14.8
Summary:        Python bindings for the Apache Thrift RPC system
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://thrift.apache.org
Source:         https://files.pythonhosted.org/packages/source/t/thrift/thrift-%{version}.zip
BuildRequires:  fdupes
BuildRequires:  c++_compiler
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
%ifpython2
Recommends:     python-backports.ssl_match_hostname
%endif
%ifpython3
%if %{python3_version_nodots} < 35
Recommends:     python-backports.ssl_match_hostname
%endif
%endif
Recommends:     python-tornado >= 4.0
Recommends:     python-twisted

%python_subpackages

%description
Thrift Python Software Library

Thrift is provided as a set of Python packages. The top level package is
thrift, and there are subpackages for the protocol, transport, and server
code. Each package contains modules using standard Thrift naming conventions
(i.e. TProtocol, TTransport) and implementations in corresponding modules
(i.e. TSocket).  There is also a subpackage reflection, which contains
the generated code for the reflection structures.

%prep
%setup -q -n thrift-%{version}

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitearch}/thrift/
%{python_sitearch}/thrift-%{version}-py*.egg-info

%changelog
* Wed Aug 16 2017 toddrme2178@gmail.com
- Implement single-spec version
- update to version 0.10.0:
  * no changelog available
* Thu Feb 18 2016 eshmarnev@suse.com
- update to version 0.9.3:
  * no changelog available
* Thu May 14 2015 benoit.monin@gmx.fr
- update to version 0.9.2:
  * no changelog available
- remove README from package: not provided anymore
* Tue Oct 29 2013 speilicke@suse.com
- Update to version 0.9.1:
  + No changelog
* Wed Mar 13 2013 speilicke@suse.com
- Initial version
